Class | Chef::Resource::Notification
In: | lib/chef/resource.rb
Parent: | Struct.new(:resource, :action, :notifying_resource)

### Methods

duplicates? fix_notifier_reference fix_resource_reference resolve_resource_reference

### Public Instance methods

duplicates?(other_notification)
fix_notifier_reference(resource_collection)

This will look up the notifying_resource if it is not a Resource Object. It will complain if it finds multiple resources, can‘t find a resource, or gets invalid syntax.

fix_resource_reference(resource_collection)

This will look up the resource if it is not a Resource Object. It will complain if it finds multiple resources, can‘t find a resource, or gets invalid syntax.

resolve_resource_reference(resource_collection)

If resource and/or notifying_resource is not a resource object, this will look them up in the resource collection and fix the references from strings to actual Resource objects.

[Validate]